<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>
            {% block title %}Topological Atlas Codex{% endblock title %}
        </title>
        <style>
            {% block base_style %}
            #header {
                position: absolute;
                top: 0;
                width: 100%;
                height: 24px;
                padding-bottom: 6px;
                border-bottom: 1px solid grey;
                padding-top: 14px;
                background-color: #6a005d;
                color: white;
            }
            #topo-name {
                font-weight: bold;
                margin-left: 1em;
            }
            #topo-name a {
                color: white;
                text-decoration: none;
            }
            #content {
                position: absolute;
                top: 48px;
                bottom: 48px;
                left: 1em;
                right: 0;
                padding-right: 1em;
                overflow: auto;
            }
            #footer {
                position: absolute;
                bottom: 0;
                width:100%;
                height: 24px;
                padding-top: 14px;
                border-top: 1px solid grey;
                background-color: #6a005d;
                color: white;
            }

            body {
                font-family: sans-serif;
                width:100%;
                margin: 0;
                height:100%;
                overflow: hidden;
            }
            {% endblock base_style %}

            {% block style %}{% endblock style %}
        </style>
    </head>

    <body>
        <div id="header">
            {% block header %}
            <span id="topo-name"
                ><a href="{% url 'index' %}">Topological Atlas Codex</a></span
            >
            {% endblock header %}
        </div>
        <div id="content">{% block content %}{% endblock content %}</div>
        <div id="footer">
            {% block footer %}
            <span class=""></span>
            {% endblock footer %}
        </div>
    </body>
    <script type="module">
        {% block script %}{% endblock script %}
    </script>
</html>
